/**
* Place for paragraph-first-screen styles here.

MAIN
ABOUT

*/

/* MAIN */
.paragraph-first-screen {
    display: grid;
    grid-template-columns: 1fr 1fr;
    height: 70vh;
    min-height: 768px;
    row-gap: 2rem;
    position: relative;
    background-color: var(--red)
}

.paragraph-first-screen__title {
    grid-column: 1/3;
    grid-row: 1/-1;
    color: var(--red);
    font-family: var(--font-title);
    z-index: 1;
    font-size: 8rem;
    position: relative;
}

.paragraph-first-screen__description {
    grid-column: 2;
    grid-row: 3;
    font-size: 1.7rem;
    z-index: 1;
    width: 47rem;
    margin-left: auto;
    margin-top: 1.5rem;
}




/* paragraph-first-screen__button */
.paragraph-first-screen__content__buttons {
    display: flex;
    column-gap: 2rem;
    margin-top: 1rem;
}

.paragraph-first-screen__button {
    grid-column: 1;
    grid-row: 3;
    height: fit-content;
    margin-top: 2rem;
    z-index: 1;
}

.paragraph-first-screen__content__buttons .page-button  {
    font-size: 1rem;
    padding: 10px 30px 10px 30px;
    border-radius: 8px;
    border: 1px solid var(--white);
    box-shadow: none;
}

.paragraph-first-screen__content__button__one .page-button  {
    background-color: var(--white);
    color: var(--red);
}

.paragraph-first-screen__content__button__two .page-button  {
    background-color: var(--red);
    color: var(--white);
    border: 1px solid var(--white);
}

.paragraph-first-screen__content__button__two a {
	color: var(--white);
}

.paragraph-first-screen__content__button__two {
	font-size: 1rem;
	border-radius: 8px;
	color: var(--white);
	border: 1px solid var(--white);
	text-align: center;
	padding: 10px 26px;
	cursor: pointer;
	line-height: normal;
	display: flex;
	align-items: center;
}

.paragraph-first-screen__content__button__two a:hover {
	color: #fff;
}




/* paragraph-first-screen__content */
.paragraph-first-screen__content {
    padding-top: 5rem;
    padding-bottom: 5rem;
    color: var(--white);
    display: flex;
    flex-direction: column;
    justify-content: center;
    /* width: 550px; */
}

.paragraph-first-screen__content__pretitle {
    width: 200px;
    height: 200px;
    background: url(/sites/default/files/media/images/2025-11/znak-belyy-2x.png) no-repeat;
    background-size: contain;
    margin-left: auto;
    margin-right: auto;
}

.paragraph-first-screen__content__title {
    display: flex;
    flex-direction: column;
    align-items: center;
}

.paragraph-first-screen__content__title__first {
    text-transform: uppercase;
    width: 100%;
    font-size: 190%;
    color: var(--white);
}

.paragraph-first-screen__content__title__second {
    display: grid;
    grid-template-columns: 1fr 1fr 1fr;
    align-items: center;
    column-gap: 10px;
    padding-left: 20px;
    padding-right: 20px;
    font-size: 3rem;
    color: var(--white);
}

.paragraph-first-screen__content__title__second:before,
.paragraph-first-screen__content__title__second:after {
    content: '';
    display: inline-block;
    width: 100%;
    height: 1px;
    background-color: var(--white);
    margin-top: 10px;
}

.paragraph-first-screen__content__description {
    font-size: 1.3rem;
}



/* paragraph-first-screen__background-image */
.paragraph-first-screen__background-image {
    background-position: bottom;
    background-repeat: no-repeat;
    background-size: cover;
}









/* ADAPTIVE */
@media (max-width: 2100px) {
    .paragraph-first-screen__title {
        font-size: 7.5rem;
    }
}

@media (max-width: 1920px) {
    
}

@media (max-width: 1750px) {
    .paragraph-first-screen__title {
        font-size: 8rem;
    }
    .paragraph-first-screen__title .paragraph-first-screen__title__second {
        margin-top: 19rem;
    }
    .paragraph-first-screen__description {
        width: 41.5rem;
        margin-top: 0;
    }
}

@media (max-width: 1700px) {
    .paragraph-first-screen__content {
        max-width: 470px;
    }
}

@media (max-width: 1600px) {
    .paragraph-first-screen__title .paragraph-first-screen__title__second {
        margin-top: 22rem;
    }
    .paragraph-first-screen__button .page-button {
        font-size: 1.2rem;
    }
    .paragraph-first-screen__content {
        /* max-width: 430px; */
    }
}

@media (max-width: 1440px) {
    /* .paragraph-first-screen__title .paragraph-first-screen__title__second {
        margin-top: 28rem;
    }
    .paragraph-first-screen__button .page-button {
        font-size: 1.5rem;
    }
    .paragraph-first-screen__content {
        max-width: 360px;
    } */
    .paragraph-first-screen__content__title__first {
        font-size: 10rem;
    }
    .paragraph-first-screen__content__description {
        font-size: 1.5rem;
    }
    .paragraph-first-screen__content__button__two a,
    .paragraph-first-screen__content__buttons .page-button {
        font-size: 1.3rem;
    }
}

@media (max-width: 1368px) {
	.paragraph-first-screen__button .page-button  {
        padding: 15px 30px 15px 65px;
    }
    .paragraph-first-screen__button .page-button:before {
        left: 21px;
        top: 16px;
    }
}

@media (max-width: 1280px) {
    .paragraph-first-screen__title {
        font-size: 7rem;
    }
    .paragraph-first-screen__title .paragraph-first-screen__title__second {
        margin-top: 29rem;
    }
    .paragraph-first-screen__description {
        width: 36.2rem;
        margin-top: 0;
    }
}

@media (max-width: 1200px) {
    /* .paragraph-first-screen {
        grid-template-rows: 150px 150px auto;
        height: 55vh;
        min-height: 550px;
        row-gap: 2rem;
        padding-top: 5rem;
        padding-bottom: 5rem;
    } */
    .paragraph-first-screen__image-one:before {
        left: -5px;
        top: -5px;
        width: 200px;
        height: 300px;
    }
    .paragraph-first-screen__image-two:before {
        right: -120px;
        width: 220px;
        height: 220px;
    }
    .paragraph-first-screen__image-one,
    .paragraph-first-screen__image-two {
        width: 300px;
        height: 150px;
    }
    .paragraph-first-screen__description {
        font-size: 1.5rem;
        width: 36.4rem;
        margin-top: 1.5rem;
    }
    .paragraph-first-screen__title .paragraph-first-screen__title__second {
        margin-top: 25rem;
    }
}

@media (max-width: 1100px) {
    /* .paragraph-first-screen {
        grid-template-rows: 150px 150px auto 1fr;
        row-gap: 0;
        height: 50vh;
        min-height: 500px;
    } */
    .paragraph-first-screen__title {
        font-size: 6rem;
        line-height: normal;
    }
    .paragraph-first-screen__description {
        width: 100%;
        grid-column: 1/-1;
        grid-row: 4;
        margin-top: 1rem;
        font-size: 2rem;
    }
    .paragraph-first-screen__title .paragraph-first-screen__title__second {
        margin-top: 27rem;
    }
}

@media (max-width: 991px) {
    .paragraph-first-screen {
        display: flex;
        flex-direction: column;
        row-gap: 0;
        height: 100%;
        background-position: bottom;
        background: url(/sites/default/files/media/images/2025-10/keytering-meynkun-krasivyy-stol-s-blyudami-na-fone-krasnoy-ploschadi.jpg);
        position: relative;
        background-position: bottom;
        background-size: cover;
        height: 65vh;
        min-height: 650px;
    }
    .paragraph-first-screen__title .paragraph-first-screen__title__second {
        float: none;
        margin-top: 0;
    }
    .paragraph-first-screen:before,
    .paragraph-first-screen__image-one, .paragraph-first-screen__image-two {
        display: none;
    }
    .paragraph-first-screen__content__title__first,
    .paragraph-first-screen__content__title__second {
        color: var(--red);
    }
    .paragraph-first-screen__content {
        margin-left: auto;
        margin-right: auto;
    }
    
    .paragraph-first-screen:before {
        content: '';
        display: inline-block;
        top: 0;
        bottom: 0;
        left: 0;
        right: 0;
        width: 100%;
        height: 100%;
        background-color: rgb(255 255 255 / 65%);
        position: absolute;
    }
    .paragraph-first-screen__content {
        color: var(--red);
        position: relative;
        z-index: 1;
    }
    .paragraph-first-screen__content__description {
        font-size: 1.6rem;
    }
    .paragraph-first-screen__content__button__one .page-button {
        background-color: var(--red);
        color: var(--white);
        border-color: var(--red);
    }
    .paragraph-first-screen__content__button__two .page-button {
        background-color: var(--white);
        color: var(--red);
    }
	.paragraph-first-screen__content__button__two {
		color: var(--red);
		border: 1px solid var(--red);
	}
	.paragraph-first-screen__content__button__two a {
		color: var(--red);
		font-weight: bold;
	}
	.paragraph-first-screen__content__button__two a:hover {
		color: red;
	}
    .paragraph-first-screen__content__pretitle {
        width: 150px;
        height: 150px;
        background: url(/sites/default/files/media/images/2025-11/znak-krasnyy-2x.png) no-repeat;
        background-size: contain;
    }
    .paragraph-first-screen__content__title__second:before,
    .paragraph-first-screen__content__title__second:after {
        background-color: var(--red);
    }
}

@media (max-width: 768px) {
    .paragraph-first-screen__title {
        font-size: 5rem;
    }
}

@media (max-width: 580px) {
    .paragraph-first-screen__content__title__first {
        font-size: 15vw;
        display: contents;
    }
    .paragraph-first-screen__content {
        max-width: 75vw;
    }
    .paragraph-first-screen__content__buttons {
        flex-wrap: wrap;
        justify-content: center;
        row-gap: 1.5rem;
    }
}

@media (max-width: 500px) {
    .paragraph-first-screen__title {
        font-size: 4rem;
    }
    .paragraph-first-screen__description {
        font-size: 1.7rem;
        line-height: 1.3;
    }
}

@media (max-width: 480px) {
    .paragraph-first-screen__button .page-button  {
        padding: 12px 30px 12px 65px;
    }
    .paragraph-first-screen__button .page-button:before {
        width: 20px;
        height: 20px;
        left: 22px;
        top: 13px;
    }
}

@media (max-width: 400px) {
    .header-region__header__language-switcher {
        display: none;
    }
}

@media (max-width: 370px) {
    .paragraph-first-screen__title {
        font-size: 3.5rem;
    }
    .paragraph-first-screen__description {
        font-size: 1.5rem;
    }
}